Subscription groups
Create subscription group
https://rcur.app/api/v2/subscription-groups
Requires your API key as Authorization: Bearer <key>. See authentication.
Request body
application/jsonName is required. Plans is optional and can be set later.
-
namestring -
descriptionstringOnly for yourself, customers do not see it
-
plansarray of objectsThe complete list of templates in the group, in the order customers see them
3 child attributes
-
template_idstring requiredId of a subscription template
-
plan_namestringName shown in the customer portal when switching, the template name when empty
-
plan_descriptionstringText shown in the customer portal when switching
-
Responses
201 Subscription group created SubscriptionGroup object
-
idstring required -
namestring required -
descriptionstring nullableOnly for yourself, customers do not see it
-
plansarray of SubscriptionTemplates requiredThe templates a subscription of the group can be switched between, in the order customers see them
8 child attributes · SubscriptionTemplate
-
idstring required -
namestring requiredName of the template
-
descriptionstringDescription the subscriptions made from the template get
-
currencystring required -
group_idstring nullableThe subscription group the template is in
-
plan_namestring nullableName shown in the customer portal when switching
-
plan_descriptionstring nullableText shown in the customer portal when switching
-
rulesarray of SubscriptionRules required8 child attributes · SubscriptionRule
-
idstring required -
amountstring required -
currencystring requiredOne of
AEDAUDBGNBRLCADCHFCZKDKKEURGBPHKDHUFILSISKJPYMXNMYRNOKNZDPHPPLNRONSEKSGDTHBTWDUSDZAR -
intervalstring requiredOne of
dayweekmonthyear -
interval_amountinteger required -
dayinteger required -
timesinteger nullable -
times_doneinteger required
-
-
-
created_atstring required
422 Validation error ValidationError object
-
statusinteger required -
errorstring required -
fieldsobject